## Validation of bacterial growth rates

The growth of individual R401 mutants and wild type was assessed by continuously measuring OD~600~ of actively growing bacterial cultures in an Infinite 200 PRO plate reader (TECAN) over 48 h at 25 °C and approx. 300 rpm. Overnight cultures in 50% TSB were pelleted and washed as described before. Subsequently, OD~600~ was measured and set to 0.02 in either artificial root exudates (ARE) or ARE lacking FeCl~3~. Composition of ARE
was adopted from (21) and can be found in **Table S5**.

(21) E. Baudoin, E. Benizri, A. Guckert, Impact of artificial root exudates on the bacterial community structure in bulk soil and maize rhizosphere. *Soil Biol Biochem* **35**, 1183–1192 (2003).